summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Christoph Willing <chris.willing@iinet.net.au>2015-03-20 15:46:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-20 15:46:28 +0700
commit83fd35962112a711d565498b4cdd3c6191bba274 (patch)
treee292a766128a460e77db97fe18a26ab7dfb3cb42 /graphics
parent455e41f966f87a24ede9bd92b41efa8eb9e37281 (diff)
downloadslackbuilds-83fd35962112a711d565498b4cdd3c6191bba274.tar.gz
slackbuilds-83fd35962112a711d565498b4cdd3c6191bba274.tar.xz
graphics/openimageio: Added (Image File Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/openimageio/005_tiffversion.diff11
-rw-r--r--graphics/openimageio/README13
-rw-r--r--graphics/openimageio/openimageio.SlackBuild109
-rw-r--r--graphics/openimageio/openimageio.info10
-rw-r--r--graphics/openimageio/slack-desc20
5 files changed, 163 insertions, 0 deletions
diff --git a/graphics/openimageio/005_tiffversion.diff b/graphics/openimageio/005_tiffversion.diff
new file mode 100644
index 0000000000..1bcc3a59e9
--- /dev/null
+++ b/graphics/openimageio/005_tiffversion.diff
@@ -0,0 +1,11 @@
+--- src/tiff.imageio/tiffoutput.cpp.orig 2015-02-12 15:30:01.000000000 +1000
++++ src/tiff.imageio/tiffoutput.cpp 2015-03-12 17:46:38.306214366 +1000
+@@ -518,7 +518,7 @@
+ bool
+ TIFFOutput::write_exif_data ()
+ {
+-#if TIFFLIB_VERSION >= 20120922
++#if TIFFLIB_VERSION > 20120922
+ // Older versions of libtiff do not support writing Exif directories
+
+ // First, see if we have any Exif data at all
diff --git a/graphics/openimageio/README b/graphics/openimageio/README
new file mode 100644
index 0000000000..c9f95f1486
--- /dev/null
+++ b/graphics/openimageio/README
@@ -0,0 +1,13 @@
+OpenImageIO is a library for reading and writing images, and a bunch
+of related classes, utilities, and applications. There is a
+particular emphasis on formats and functionality used in professional,
+large-scale animation and visual effects work for film.
+
+OpenImageIO is used extensively in animation and VFX studios all
+over the world, and is also incorporated into several commercial
+products.
+
+This package includes options for including a python3 module. Due to
+lack of python3 modules in the standard Slackware boost package,
+these options are quietly ignored but are maintained in the hope of
+future python3 support in Slackware's boost.
diff --git a/graphics/openimageio/openimageio.SlackBuild b/graphics/openimageio/openimageio.SlackBuild
new file mode 100644
index 0000000000..cbe49db7cf
--- /dev/null
+++ b/graphics/openimageio/openimageio.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for openimageio
+
+# Copyright 2015 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openimageio
+SRCNAM=oiio-Release
+VERSION=${VERSION:-1.5.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+PYLIB_INSTALL_DIRECTORY=$(python2 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+PYLIB3_INSTALL_DIRECTORY=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -D__STDC_CONSTANT_MACROS"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -D__STDC_CONSTANT_MACROS"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -D__STDC_CONSTANT_MACROS"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -D__STDC_CONSTANT_MACROS"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+patch -p0 < $CWD/005_tiffversion.diff
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake ../ \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DDOC_INSTALL_DIR:PATH=doc/$PRGNAM-$VERSION \
+ -DLIB_INSTALL_DIR:PATH=lib$LIBDIRSUFFIX \
+ -DPYLIB_INSTALL_DIR:PATH=$PYLIB_INSTALL_DIRECTORY \
+ -DPYLIB3_INSTALL_DIR:PATH=$PYLIB3_INSTALL_DIRECTORY \
+ -DPYLIB_INCLUDE_SONAME:BOOL=ON \
+ -DPYLIB_LIB_PREFIX:BOOL=OFF \
+ -DUSE_OCIO:BOOL=ON \
+ -DUSE_PYTHON:BOOL=ON \
+ -DUSE_PYTHON3:BOOL=ON \
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CREDITS INSTALL README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/openimageio/openimageio.info b/graphics/openimageio/openimageio.info
new file mode 100644
index 0000000000..05e15657cf
--- /dev/null
+++ b/graphics/openimageio/openimageio.info
@@ -0,0 +1,10 @@
+PRGNAM="openimageio"
+VERSION="1.5.12"
+HOMEPAGE="https://sites.google.com/site/openimageio/home"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/openimageio/oiio-Release-1.5.12.tar.gz"
+MD5SUM="355162bc151df96f5488bfd5bc548658"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openjpeg LibRaw libwebp opencv opencolorio"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@iinet.net.au"
diff --git a/graphics/openimageio/slack-desc b/graphics/openimageio/slack-desc
new file mode 100644
index 0000000000..129a925880
--- /dev/null
+++ b/graphics/openimageio/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openimageio: openimageio (Image File Library)
+openimageio:
+openimageio: OpenImageIO is a library for reading and writing images, and a bunch
+openimageio: of related classes, utilities, and applications. There is a
+openimageio: particular emphasis on formats and functionality used in professional,
+openimageio: large-scale animation and visual effects work for film.
+openimageio:
+openimageio: OpenImageIO is used extensively in animation and VFX studios all
+openimageio: over the world, and is also incorporated into several commercial
+openimageio: products.
+openimageio:
+openimageio: